#ifndef PLINEEDIT_H
#define PLINEEDIT_H

class PLineEdit;

#include <tqlineedit.h>
#include "pmessage.h"
#include "pwidget.h"
#include "controller.h"

class PLineEdit : public PWidget
{
  TQ_OBJECT
  
public:
  static PObject *createWidget(CreateArgs &ca);

  PLineEdit ( PObject * parent );
  virtual ~PLineEdit ();
  
  virtual void messageHandler(int fd, PukeMessage *pm);
  
  virtual void setWidget(TQObject *_f);
  virtual TQLineEdit *widget();

public slots:
  void updateText(const char *);
  void returnPress();
  
private:
  TQLineEdit *lineedit;
};

#endif
